Subject: [Sip] A couple of nits in RFC3261

From: [email-masked]
Date: Mon, 31 Mar 2003 16:03:23 +0300

- In section 13.2.2.4 Second last paragraph says:

   The UAC core considers the INVITE transaction completed 64*T1 seconds
   after the reception of the first 2xx response.  At this point all the
   early dialogs that have not transitioned to established dialogs are
   terminated.  Once the INVITE transaction is considered completed by
   the UAC core, no more new 2xx responses are expected to arrive

The problem is with the word "established" above. It should say "confirmed", since early dialogs are in fact established.

A related problem in that the words "created" and "established" are interchangeable in the rfc, and cause confusion. We should use just one of them?

- In section 15, Second paragraph:

   However, the callee's UA MUST NOT send a BYE on a confirmed dialog
   until it has received an ACK for its 2xx response or until the server
   transaction times out

For confirmed dialogs, the server transaction is already terminated and therefore cannot time out. It should say "... or until UAS core has the 2xx response for 64*T1 seconds without receiving an ACK.

Regards,
Hisham
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip